### Function

# Dex io_stream_splice

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_io_stream_splice (
      GIOStream* stream1,
      GIOStream* stream2,
      GIOStreamSpliceFlags flags,
      int io_priority
    )

#### Description [src]

Wraps `g_io_stream_splice_async()`.

Available since: 1.2

#### Parameters

`stream1`

  Type: `GIOStream`

  A `GIOStream`.

  The data is owned by the caller of the function.

`stream2`

  Type: `GIOStream`

  A `GIOStream`.

  The data is owned by the caller of the function.

`flags`

  Type: `GIOStreamSpliceFlags`

  Splice flags.

`io_priority`

  Type: `int`

  Priority for the IO operation.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to `TRUE` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.